### Method

# RB ShellPlayer set_volume

#### Declaration [src]

    gboolean
    rb_shell_player_set_volume (
      RBShellPlayer* player,
      gdouble volume,
      GError** error
    )

#### Description [src]

Sets the playback volume level.

Sets property | `RB.ShellPlayer:volume`

#### Parameters

`volume`

  Type: `gdouble`

  The volume level (between 0 and 1).

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.